ChangeSet
  1.2017.1.1 04/12/18 11:57:17 antony@ltantony.rdg.cyberkinetica.homeunix.net +1 -0
  Fix test

  mysql-test/r/update.result
    1.16 04/12/18 11:57:13 antony@ltantony.rdg.cyberkinetica.homeunix.net +0 -1
    Fix test

ChangeSet
  1.2018 04/12/18 13:45:19 monty@mysql.com +1 -0
  Simplify code during review

  sql/sql_select.cc
    1.287 04/12/18 13:45:18 monty@mysql.com +2 -8
    Simplify code during review

ChangeSet
  1.2017 04/12/18 02:34:11 antony@ltantony.rdg.cyberkinetica.homeunix.net +1 -0
  Remove bogus lines

  sql/sql_update.cc
    1.105 04/12/18 02:34:06 antony@ltantony.rdg.cyberkinetica.homeunix.net +0 -7
    Remove bogus lines

ChangeSet
  1.2016 04/12/18 02:07:32 antony@ltantony.rdg.cyberkinetica.homeunix.net +3 -0
  Bug#7391 - Multi-table UPDATE security regression
    Add in missing privilege checks. 
    Tests for the privileges.

  sql/sql_update.cc
    1.104 04/12/18 02:07:28 antony@ltantony.rdg.cyberkinetica.homeunix.net +20 -0
    Bug#7391 - Multi-table UPDATE security regression
      Add in missing privilege checks. 

  mysql-test/t/grant.test
    1.14 04/12/18 02:07:28 antony@ltantony.rdg.cyberkinetica.homeunix.net +72 -0
    Bug#7391 - Multi-table UPDATE security regression
      Tests column, table and db level access

  mysql-test/r/grant.result
    1.14 04/12/18 02:07:27 antony@ltantony.rdg.cyberkinetica.homeunix.net +64 -0
    Bug#7391 - Multi-table UPDATE security regression
      Tests column, table and db level access

ChangeSet
  1.2012.1.1 04/12/16 20:26:24 joerg@mysql.com +1 -0
  Have 'mysql-test-run' write a list of all failed tests at the end, if run with '--force'.

  mysql-test/mysql-test-run.sh
    1.199 04/12/16 20:26:22 joerg@mysql.com +11 -3
    Backport an improvement from 4.1: If the tool is run with '--force', give a list of all test cases that failed at the end.
    This is essential for automated analysis of the build logs file.

ChangeSet
  1.2014 04/12/16 18:44:39 timour@mysql.com +2 -0
  Moved drop table statement to the end.

  mysql-test/t/update.test
    1.14 04/12/16 18:44:37 timour@mysql.com +1 -1
    moved drop statement

  mysql-test/r/update.result
    1.15 04/12/16 18:44:37 timour@mysql.com +1 -0
    moved drop statement

ChangeSet
  1.2013 04/12/16 18:04:51 timour@mysql.com +2 -0
  Test for BUG#6054. The bug itsel is fixed by the fix for #5837.

  mysql-test/t/update.test
    1.13 04/12/16 18:04:49 timour@mysql.com +9 -0
    bug test

  mysql-test/r/update.result
    1.14 04/12/16 18:04:49 timour@mysql.com +6 -0
    test results

ChangeSet
  1.2012 04/12/13 12:31:17 marko@hundin.mysql.fi +1 -0
  dict0load.c:
    dict_load_table(): detect the new table format of MySQL 5.0.3

  innobase/dict/dict0load.c
    1.16 04/12/13 12:30:32 marko@hundin.mysql.fi +16 -0
    dict_load_table(): detect the new table format of MySQL 5.0.3

ChangeSet
  1.2006.1.1 04/12/11 19:59:09 sergefp@mysql.com +4 -0
  Fix for BUG#6976:
  In Item_ref::Item_ref set maybe_null (and other fields fix_fields sets) to be the 
  same as in (*ref), because Item_ref::fix_fields() will not be called.  Previously 
  maybe_null was 0 always and this produced a bogus state where 
  maybe_null==0 && is_null() == true 
  which broke evaluation for some upper-level Items, like AND and OR.

  sql/item.h
    1.45 04/12/11 19:59:08 sergefp@mysql.com +13 -1
    Fix for BUG#6976:
      in Item_ref::Item_ref(Item**...) fix all fields because fix_fields() will not be called.

  sql/item.cc
    1.37 04/12/11 19:59:08 sergefp@mysql.com +1 -0
    Comment added

  mysql-test/t/group_by.test
    1.26 04/12/11 19:59:08 sergefp@mysql.com +9 -0
    Test for BUG#6976

  mysql-test/r/group_by.result
    1.36 04/12/11 19:59:08 sergefp@mysql.com +12 -0
    Test for BUG#6976

ChangeSet
  1.2010 04/12/11 15:51:52 sergefp@mysql.com +4 -0
  Fix for BUG#5837 - attempt 3.
    Call mark_as_null_row in join_read_const and join_read_system.

  sql/table.h
    1.47 04/12/11 15:51:41 sergefp@mysql.com +8 -2
    Added comments

  sql/sql_select.cc
    1.286 04/12/11 15:51:41 sergefp@mysql.com +8 -2
    Fix for BUG#5837 - attempt 3.
      Call mark_as_null_row in join_read_const and join_read_system.

  mysql-test/t/multi_update.test
    1.37 04/12/11 15:51:41 sergefp@mysql.com +9 -0
    Testcase for BUG#5837

  mysql-test/r/multi_update.result
    1.35 04/12/11 15:51:41 sergefp@mysql.com +6 -0
    Testcase for BUG#5837

ChangeSet
  1.2007.1.1 04/12/10 17:12:47 heikki@hundin.mysql.fi +3 -0
  dict0dict.h, dict0dict.c, ha_innodb.cc:
    Fix for the 0xA0 character problem in the InnoDB FOREIGN KEY parser: if my_isspace() treats 0xA0 as space, then let InnoDB do the same; this might break some multi-byte charset id's, though for big5, ujis, sjis this seems not to change the current behavior (I checked the tables in /share/charsets); this fix must NOT be merged to 4.1 because in 4.1 everything is in UTF-8

  innobase/include/dict0dict.h
    1.28 04/12/10 17:12:27 heikki@hundin.mysql.fi +2 -0
    Fix for the 0xA0 character problem in the InnoDB FOREIGN KEY parser: if my_isspace() treats 0xA0 as space, then let InnoDB do the same; this might break some multi-byte charset id's, though for big5, ujis, sjis this seems not to change the current behavior (I checked the tables in /share/charsets); this fix must NOT be merged to 4.1 because in 4.1 everything is in UTF-8

  innobase/dict/dict0dict.c
    1.64 04/12/10 17:12:20 heikki@hundin.mysql.fi +32 -9
    Fix for the 0xA0 character problem in the InnoDB FOREIGN KEY parser: if my_isspace() treats 0xA0 as space, then let InnoDB do the same; this might break some multi-byte charset id's, though for big5, ujis, sjis this seems not to change the current behavior (I checked the tables in /share/charsets); this fix must NOT be merged to 4.1 because in 4.1 everything is in UTF-8

  sql/ha_innodb.cc
    1.227 04/12/10 17:12:09 heikki@hundin.mysql.fi +5 -0
    Fix for the 0xA0 character problem in the InnoDB FOREIGN KEY parser: if my_isspace() treats 0xA0 as space, then let InnoDB do the same; this might break some multi-byte charset id's, though for big5, ujis, sjis this seems not to change the current behavior (I checked the tables in /share/charsets); this fix must NOT be merged to 4.1 because in 4.1 everything is in UTF-8

ChangeSet
  1.2008 04/12/10 00:06:33 marko@hundin.mysql.fi +1 -0
  srv0srv.c:
    srv_printf_innodb_monitor(): Removed extraneous rewind() call.
    The caller of this function calls rewind() if necessary.
    In this way, we avoid rewind()ing stderr in
    srv_lock_timeout_and_monitor_thread().

  innobase/srv/srv0srv.c
    1.78 04/12/09 23:52:17 marko@hundin.mysql.fi +0 -1
    srv_printf_innodb_monitor(): Removed extraneous rewind() call.
    The caller of this function calls rewind() if necessary.
    In this way, we avoid rewind()ing stderr in
    srv_lock_timeout_and_monitor_thread().

ChangeSet
  1.2003.1.1 04/12/07 12:08:20 serg@serg.mylan +2 -0
  two fixes for potential security bugs

  sql/sql_class.cc
    1.112 04/12/07 12:08:17 serg@serg.mylan +2 -2
    two fixes for potential security bugs

  sql/log.cc
    1.160 04/12/07 12:08:17 serg@serg.mylan +10 -8
    two fixes for potential security bugs

ChangeSet
  1.2006 04/12/03 00:05:11 jimw@mysql.com +6 -0
  Prevent adding 'CREATE TABLE .. SELECT' query to the binary log when the
  insertion of new records partially failed. It would get logged because of the
  logic to log a partially-failed 'INSERT ... SELECT' (which can't be rolled back
  in non-transactional tables), but 'CREATE TABLE ... SELECT' is always rolled
  back on failure, even for non-transactional tables. (Bug #6682)
  (Original fix reimplemented after review by Serg and Guilhem.)

  BitKeeper/etc/logging_ok
    1.326 04/12/03 00:05:11 jimw@mysql.com +1 -0
    Logging to logging@openlogging.org accepted

  sql/sql_class.h
    1.191 04/12/03 00:02:39 jimw@mysql.com +1 -0
    add select_create::send_error()

  sql/sql_class.h
    1.190 04/12/03 00:02:28 jimw@mysql.com +9 -0
    moved tmp_disable_binlog() and reenable_binlog() macros from sql/sql_table.cc

  sql/sql_insert.cc
    1.116 04/12/02 23:59:45 jimw@mysql.com +13 -0
    disable binlog during call to super's ::send_error in select_create class

  sql/sql_table.cc
    1.192 04/12/02 22:52:23 jimw@mysql.com +0 -8
    moved tmp_disable_binlog() and reenable_binlog macros to sql/sql_class.h

  mysql-test/r/insert_select.result
    1.16 04/12/02 22:35:28 jimw@mysql.com +9 -0
    Add results for test case for Bug #6682

  mysql-test/t/insert_select.test
    1.13 04/12/02 22:35:17 jimw@mysql.com +13 -0
    Add test case for Bug #6682

ChangeSet
  1.2005 04/12/02 14:34:53 ram@gw.mysql.r18.ru +3 -0
  A fix (bug #6878: Crash with engine=memory).

  mysql-test/t/heap.test
    1.11 04/12/02 14:34:51 ram@gw.mysql.r18.ru +11 -0
    A fix (bug #6878: Crash with engine=memory).

  mysql-test/r/heap.result
    1.16 04/12/02 14:34:51 ram@gw.mysql.r18.ru +9 -0
    A fix (bug #6878: Crash with engine=memory).

  heap/hp_open.c
    1.13 04/12/02 14:34:51 ram@gw.mysql.r18.ru +7 -0
    A fix (bug #6878: Crash with engine=memory).
    Record length should be >= sizeof(byte*).

ChangeSet
  1.2004 04/11/30 22:20:52 guilhem@mysql.com +3 -0
  two-line fix for BUG#6732 "FLUSH TABLES WITH READ LOCK + COMMIT makes next FLUSH...LOCK hang forever"
  (originally reported as "second run of innobackup hangs forever and can even hang server").
  Plus testcase for the bugfix and comments about global read locks.

  sql/lock.cc
    1.49 04/11/30 22:20:49 guilhem@mysql.com +61 -4
    When we are in start_waiting_global_read_lock(), if we ourselves have
    the global read lock, there is nothing to start. This makes a pair with how 
    wait_if_global_read_lock() behaves when we ourselves have the global read lock.
    Previously, start_waiting_global_read_lock() decremented protect... whereas wait_if_global_read_lock()
    hadn't incremented it => very wrong => hangs.
    Descriptive comments on how global read lock works.
    

  mysql-test/t/flush_block_commit.test
    1.2 04/11/30 22:20:49 guilhem@mysql.com +14 -0
    testing bugfix (originally: second run of innobackup hangs)

  mysql-test/r/flush_block_commit.result
    1.2 04/11/30 22:20:49 guilhem@mysql.com +8 -0
    result update

ChangeSet
  1.2003 04/11/26 13:16:37 marko@hundin.mysql.fi +1 -0
  srv0srv.c:
    srv_lock_timeout_and_monitor_thread(): write to srv_monitor_file
    only if --innodb_status_file=1

  innobase/srv/srv0srv.c
    1.77 04/11/26 13:14:39 marko@hundin.mysql.fi +7 -5
    srv_lock_timeout_and_monitor_thread(): write to srv_monitor_file
    only if --innodb_status_file=1

ChangeSet
  1.2002 04/11/26 02:31:22 monty@mysql.com +7 -0
  Fixes while reviewing code
  (Cleanups and better bug fixes)

  sql/slave.cc
    1.285 04/11/26 02:31:20 monty@mysql.com +2 -1
    Fixed indentation

  sql/item_func.h
    1.66 04/11/26 02:31:20 monty@mysql.com +1 -1
    Fix wrong value for not_null_tables_cache

  sql/item_cmpfunc.h
    1.35 04/11/26 02:31:20 monty@mysql.com +0 -3
    Remove wrong patch (flags are set in fix_length_and_dec())

  sql/item_cmpfunc.cc
    1.64 04/11/26 02:31:20 monty@mysql.com +4 -3
    Fix wrong value for not_null_tables_cache

  scripts/mysql_fix_privilege_tables.sh
    1.17 04/11/26 02:31:20 monty@mysql.com +1 -1
    Don't read defaults files

  mysql-test/t/select.test
    1.25 04/11/26 02:31:20 monty@mysql.com +1 -1
    Fixed test after wrong merge

  mysql-test/r/select.result
    1.34 04/11/26 02:31:20 monty@mysql.com +16 -16
    Fixed test after wrong merge

ChangeSet
  1.1996.59.1 04/11/25 09:26:45 mats@mysql.com +6 -0
  Fix for Bug#6148.  Only rewind read position in binary log when the
  slave SQL thread is started.

  sql/repl_failsafe.cc
    1.44 04/11/25 09:22:48 mats@mysql.com +2 -1
    Adding threads to init as parameter to init_master_info.
    Only rewind read position when starting SQL thread.

  sql/sql_repl.cc
    1.117 04/11/25 09:22:46 mats@mysql.com +4 -2
    Adding threads to init as parameter to init_master_info.
    Only rewind read position when starting SQL thread.

  sql/slave.h
    1.78 04/11/25 09:22:39 mats@mysql.com +2 -1
    Adding threads to init as parameter to init_master_info.
    Only rewind read position when starting SQL thread.

  sql/slave.cc
    1.284 04/11/25 09:22:31 mats@mysql.com +11 -3
    Adding threads to init as parameter to init_master_info.
    Only rewind read position when starting SQL thread.

  mysql-test/t/rpl_start_stop_slave.test
    1.1 04/11/25 09:21:26 mats@mysql.com +34 -0

  mysql-test/t/rpl_start_stop_slave.test
    1.0 04/11/25 09:21:26 mats@mysql.com +0 -0
    BitKeeper file /space/bk/b6148-mysql-4.0/mysql-test/t/rpl_start_stop_slave.test

  mysql-test/r/rpl_start_stop_slave.result
    1.1 04/11/25 09:21:25 mats@mysql.com +12 -0

  mysql-test/r/rpl_start_stop_slave.result
    1.0 04/11/25 09:21:25 mats@mysql.com +0 -0
    BitKeeper file /space/bk/b6148-mysql-4.0/mysql-test/r/rpl_start_stop_slave.result

ChangeSet
  1.1996.1.92 04/11/24 15:24:23 joerg@mysql.com +1 -0
  Ensure consistent sources up to 5.0 where a C++ problem occurs.

  client/mysqladmin.c
    1.77 04/11/24 15:24:21 joerg@mysql.com +1 -1
    Cast to overcome a C vs. C++ signature problem, occurring in 5.0 where this is a C++ file.

ChangeSet
  1.1996.1.91 04/11/23 17:18:41 joerg@mysql.com +1 -0
  Change "Do-compile" to make automatic build log analysis easier and 
  to run the standard tests with "--force" (default, can be switched off).

  Build-tools/Do-compile
    1.87 04/11/23 17:18:40 joerg@mysql.com +14 -3
    1) For an automated log analysis, we need a clear marker in the build log
       whether compile + link succeeded: Write it after successful "make".
    2) Ensure the standard tests are run with "--force" in the default case,
       but allow the old behaviour by an option "--one-error".
    3) Correct a typing error in the usage message.

ChangeSet
  1.1996.1.90 04/11/22 19:18:35 serg@serg.mylan +1 -0
  "Table file %s was created in MySQL 4.1+" is an error, not a warning

  myisam/mi_open.c
    1.67 04/11/22 19:18:32 serg@serg.mylan +4 -0
    "Table file %s was created in MySQL 4.1+" is an error, not a warning

ChangeSet
  1.1996.58.1 04/11/22 18:37:30 serg@serg.mylan +3 -0
  ft_boolean_search.c:
    bug#6705 - (+trunc1* +trunc2*)
  fulltext.test, fulltext.result:
    bug#6705

  myisam/ft_boolean_search.c
    1.65 04/11/22 18:36:12 serg@serg.mylan +2 -2
    bug#6705 - (+trunc1* +trunc2*)

  mysql-test/t/fulltext.test
    1.47 04/11/22 18:35:51 serg@serg.mylan +2 -0
    bug#6705

  mysql-test/r/fulltext.result
    1.48 04/11/22 18:35:35 serg@serg.mylan +8 -0
    bug#6705

ChangeSet
  1.1996.1.86 04/11/18 22:59:17 guilhem@mysql.com +1 -0
  When mysqlbinlog prints LOAD DATA INFILE, let it print the thread id. Some customer would have benefited
  much from this in his recovery. All this change does is adding one commented (#) line before the LOAD DATA
  command, so it is quite innocuous.

  sql/log_event.cc
    1.160 04/11/18 22:59:13 guilhem@mysql.com +1 -1
    When mysqlbinlog prints LOAD DATA INFILE, let it print the thread id. Some customer would have benefited
    much from this in his recovery. All this change does is adding one commented (#) line before the LOAD DATA
    command, so it is quite innocuous.

ChangeSet
  1.1996.1.85 04/11/17 13:38:35 serg@serg.mylan +2 -0
  test for bug#5528

  mysql-test/t/fulltext.test
    1.46 04/11/17 13:38:32 serg@serg.mylan +10 -0
    test for bug#5528

  mysql-test/r/fulltext.result
    1.47 04/11/17 13:38:32 serg@serg.mylan +9 -0
    test for bug#5528

ChangeSet
  1.1996.1.84 04/11/16 20:37:42 heikki@hundin.mysql.fi +1 -0
  ha_innodb.cc:
    Fix InnoDB bug #6287: if one uses INSERT IGNORE to insert several rows at a time, and the first inserts are ignored because of a duplicate key collision, then InnoDB in a replication slave assigns AUTO_INCREMENT values 1 bigger than in the master

  sql/ha_innodb.cc
    1.226 04/11/16 20:37:33 heikki@hundin.mysql.fi +6 -5
    Fix InnoDB bug #6287: if one uses INSERT IGNORE to insert several rows at a time, and the first inserts are ignored because of a duplicate key collision, then InnoDB in a replication slave assigns AUTO_INCREMENT values 1 bigger than in the master

ChangeSet
  1.1996.57.1 04/11/15 16:11:13 dlenev@mysql.com +3 -0
  Proposed fix for bug #6439 "from_unixtime() function returns wrong datetime 
  values for too big argument".
  
  Added range checking for from_unixtime() argument, cleaned up code 
  a bit.

  sql/item_timefunc.cc
    1.27 04/11/15 16:11:11 dlenev@mysql.com +23 -34
    Item_func_from_unixtime: 
      Added error range checking for function argument + small code clean up.

  mysql-test/t/func_time.test
    1.20 04/11/15 16:11:11 dlenev@mysql.com +7 -0
    Test for bug #6439 "from_unixtime() function returns wrong datetime 
    values for too big argument".

  mysql-test/r/func_time.result
    1.23 04/11/15 16:11:11 dlenev@mysql.com +6 -0
    Test for bug #6439 "from_unixtime() function returns wrong datetime 
    values for too big argument".

ChangeSet
  1.1996.1.83 04/11/12 22:55:00 serg@serg.mylan +1 -0
  wrong constant fixed - boolean fulltext searches like "+something +smth*"
  were stopping at docid 0xffffffff

  myisam/ft_boolean_search.c
    1.64 04/11/12 22:54:57 serg@serg.mylan +10 -10
    wrong constant fixed - boolean fulltext searches like "+something +smth*"
    were stopping at docid 0xffffffff

ChangeSet
  1.1996.1.82 04/11/12 14:15:06 paul@kite-hub.kitebird.com +1 -0
  Makefile.am:
    Add -acc flag for texi2html to handle accented characters.

  Docs/Makefile.am
    1.50 04/11/12 14:14:04 paul@kite-hub.kitebird.com +1 -1
    Add -acc flag for texi2html to handle accented characters.

ChangeSet
  1.1996.1.81 04/11/12 19:22:58 jani@ua141d10.elisa.omakaista.fi +1 -0
  Removed an unneccessary for() and variable.

  mysys/default.c
    1.40 04/11/12 19:22:57 jani@ua141d10.elisa.omakaista.fi +4 -5
    Removed an unneccessary for() and variable.
    

ChangeSet
  1.1996.56.2 04/11/11 20:59:03 acurtis@pcgem.rdg.cyberkinetica.com +3 -0
  Bug#6123 - GRANT USAGE creates useless mysql.db row
    Prevent creation of a row which grants no rights
    Test included

  sql/sql_acl.cc
    1.131 04/11/11 20:58:58 acurtis@pcgem.rdg.cyberkinetica.com +2 -1
    Bug#6123
      Prevent creation of useless row

  mysql-test/t/grant.test
    1.13 04/11/11 20:58:58 acurtis@pcgem.rdg.cyberkinetica.com +9 -0
    Test for Bug#6123

  mysql-test/r/grant.result
    1.13 04/11/11 20:58:57 acurtis@pcgem.rdg.cyberkinetica.com +6 -0
    Test for Bug#6123

ChangeSet
  1.1996.56.1 04/11/11 16:59:36 jani@a80-186-24-72.elisa-laajakaista.fi +1 -0
  Some code clean-up and optimization.

  mysys/default.c
    1.39 04/11/11 16:59:35 jani@a80-186-24-72.elisa-laajakaista.fi +60 -30
    Some code clean-up and optimization.

ChangeSet
  1.1996.1.79 04/11/11 18:07:08 ram@gw.mysql.r18.ru +3 -0
  A fix (bug #6564: QUOTE(NULL) returns NULL, not the string 'NULL')

ChangeSet
  1.1996.1.78 04/11/11 16:20:39 jani@a80-186-24-72.elisa-laajakaista.fi +1 -0
  Removed check for .ini file elsewhere, except on Windows.

  mysys/default.c
    1.38 04/11/11 16:20:37 jani@a80-186-24-72.elisa-laajakaista.fi +4 -0
    Removed check for .ini file elsewhere, except on Windows.

  sql/item_strfunc.cc
    1.80 04/11/11 18:07:06 ram@gw.mysql.r18.ru +11 -3
    A fix (bug #6564: QUOTE(NULL) returns NULL, not the string 'NULL')

  mysql-test/t/func_str.test
    1.29 04/11/11 18:07:06 ram@gw.mysql.r18.ru +6 -0
    A fix (bug #6564: QUOTE(NULL) returns NULL, not the string 'NULL')

  mysql-test/r/func_str.result
    1.29 04/11/11 18:07:06 ram@gw.mysql.r18.ru +4 -1
    A fix (bug #6564: QUOTE(NULL) returns NULL, not the string 'NULL')

ChangeSet
  1.1996.55.1 04/11/10 15:07:55 guilhem@mysql.com +2 -0
  Fix for BUG#6522 "Replication fails due to a rolled back transaction in the binlog"
  When we are writing a transaction to the binlog, we log BEGIN/COMMIT with zero error code.
  Example: all statements of trans succeeded, connection lost and so implicit rollback:
  we don't want ER_NET* errors to be logged in the BEGIN/ROLLBACK events, while statement
  events have 0. If there was really a serious error code, it's already in the statement events.

  sql/sql_table.cc
    1.191 04/11/10 15:07:53 guilhem@mysql.com +0 -1
    out of date comment

  sql/log.cc
    1.159 04/11/10 15:07:53 guilhem@mysql.com +9 -0
    When we write the cached binlog segment to disk binlog at COMMIT/ROLLBACK time:
    imagine this is rollback due to net timeout, after all statements of
    the transaction succeeded. Then we want a zero-error code in BEGIN.
    In other words, if there was a really serious error code it's already
    in the transaction's statement events.

ChangeSet
  1.1996.54.1 04/11/09 11:03:02 paul@kite-hub.kitebird.com +1 -0
  Alphabetize some out-of-order options in option structure.
  Revise the --hex-blob help message string. (This will need
  revising after merge to 4.1, too, but the CHAR BINARY and
  VARCHAR BINARY data types will be BINARY and VARBINRY.)

  client/mysqldump.c
    1.118 04/11/09 11:03:00 paul@kite-hub.kitebird.com +13 -12
    Alphabetize some out-of-order options in option structure.
    Revise the --hex-blob help message string. (This will need
    revising after merge to 4.1, too, but the CHAR BINARY and
    VARCHAR BINARY data types will be BINARY and VARBINRY.)

ChangeSet
  1.1996.1.75 04/11/09 00:19:39 bar@mysql.com +1 -0
  mysql.h:
    Adding a prototype for the new function.

  include/mysql.h
    1.56 04/11/09 00:19:12 bar@mysql.com +2 -0
    Adding a prototype for the new function.

ChangeSet
  1.1996.1.74 04/11/05 23:58:30 jani@a193-229-222-105.elisa-laajakaista.fi +1 -0
  Fixed a typo that caused segmentation fault when using
  --defaults-extra-file option.

  mysys/default.c
    1.37 04/11/05 23:58:29 jani@a193-229-222-105.elisa-laajakaista.fi +1 -1
    Fixed a typo that caused segmentation fault when using
    --defaults-extra-file option.

ChangeSet
  1.1996.53.1 04/11/05 18:59:19 jani@a193-229-222-105.elisa-laajakaista.fi +2 -0
  Changed default.c so that it now checks for my.ini and then
  my.cnf from the default directories.

  BitKeeper/etc/logging_ok
    1.322.1.8 04/11/05 18:59:19 jani@a193-229-222-105.elisa-laajakaista.fi +1 -0
    Logging to logging@openlogging.org accepted

  mysys/default.c
    1.36 04/11/05 18:59:06 jani@a193-229-222-105.elisa-laajakaista.fi +50 -39
    Changed default.c so that it now checks for my.ini and then
    my.cnf from the default directories.

ChangeSet
  1.1996.1.72 04/11/05 20:33:56 bar@mysql.com +1 -0
  mysqldump.c:
    Dump VARCHAR(n) BINARY in HEX if --hex-blob too.

  client/mysqldump.c
    1.117 04/11/05 20:33:27 bar@mysql.com +1 -0
    Dump VARCHAR(n) BINARY in HEX if --hex-blob too.

ChangeSet
  1.1996.1.71 04/11/05 15:22:03 joerg@mysql.com +1 -0
  Change "Bootstrap" so that it will not fail on BK source trees of other versions;
  this is important because this 4.0 "Bootstrap" is the one generally used on host "build".

  Build-tools/Bootstrap
    1.25 04/11/05 15:22:02 joerg@mysql.com +1 -1
    If the source tree does not contain any "Docs/Images/Makefile*" (due to an error,
    or because it is not yet prepared to contain the Images in the source tar-ball),
    a plain "rm" will fail and so cause "Bootstrap" to fail. (This has happened ...)
    Prevent this danger by using "rm -f".

ChangeSet
  1.1996.1.70 04/11/05 09:23:53 bar@mysql.com +2 -0
  client_priv.h:
    Backport --hex-blob to 4.0

  client/mysqldump.c
    1.116 04/11/05 09:23:34 bar@mysql.com +49 -7

  client/client_priv.h
    1.18 04/11/05 09:23:25 bar@mysql.com +2 -1
    Backport --hex-blob to 4.0

ChangeSet
  1.1996.1.69 04/11/05 09:07:07 bar@mysql.com +1 -0
  libmysql.c:
    After-merge clean-up

  libmysql/libmysql.c
    1.157 04/11/05 09:06:54 bar@mysql.com +2 -1
    After-merge clean-up

ChangeSet
  1.1996.52.1 04/11/05 09:00:04 bar@mysql.com +2 -0
  libmysql.def, libmysql.c:
    Clean-ups

  libmysql/libmysql.def
    1.12 04/11/05 08:59:41 bar@mysql.com +1 -0
    Clean-ups
    ,

  libmysql/libmysql.c
    1.153.2.1 04/11/05 08:59:37 bar@mysql.com +1 -1
    Clean-ups

ChangeSet
  1.1996.51.1 04/11/04 19:19:23 guilhem@mysql.com +4 -0
  Fix for BUG##5714 "Insert into MyISAM table and select ... for update]":
  the fact that the transaction log is empty does not mean we're not in a transaction
  (it could be BEGIN; SELECT * FOR UPDATE FROM ibtable: then we don't want to commit now, even if
  the statement is a MyISAM update).
  With a testcase.

  mysql-test/t/mix_innodb_myisam_binlog-master.opt
    1.1 04/11/04 19:19:20 guilhem@mysql.com +1 -0

  sql/log.cc
    1.158 04/11/04 19:19:20 guilhem@mysql.com +2 -1
    The fact that the transaction log is empty does not mean we're not in a transaction
    (it could be BEGIN; SELECT * FOR UPDATE: then we don't want to commit now).

  mysql-test/t/mix_innodb_myisam_binlog.test
    1.3 04/11/04 19:19:20 guilhem@mysql.com +32 -0
    test update for a new bug

  mysql-test/t/mix_innodb_myisam_binlog-master.opt
    1.0 04/11/04 19:19:20 guilhem@mysql.com +0 -0
    BitKeeper file /home/mysql_src/mysql-4.0/mysql-test/t/mix_innodb_myisam_binlog-master.opt

  mysql-test/r/mix_innodb_myisam_binlog.result
    1.4 04/11/04 19:19:20 guilhem@mysql.com +21 -0
    result update

ChangeSet
  1.1996.48.2 04/11/04 11:18:12 joerg@mysql.com +4 -0
  The files stored in "Docs/Images" within the "mysqldocs" BK tree must be included
  in the source tar-ball for distribution. This is done by using the "DISTFILES" macro
  in a new "Docs/Images/Makefile". As the source BK tree does not contain these files,
  they are copied from the "mysqldocs" tree at release build time.
  This changeset relies on "bk commit - mysqldoc tree (joerg:1.2276)" of today.

  configure.in
    1.317.1.1 04/11/04 11:18:11 joerg@mysql.com +1 -1
    Ensure that the autotools will handle the new "Docs/Images/Makefile.am".

  Docs/Makefile.am
    1.49 04/11/04 11:18:11 joerg@mysql.com +2 -0
    Include the new "Docs/Images/Makefile" in the Makefile hierarchy.

  Docs/Images/Makefile.am
    1.2 04/11/04 11:18:11 joerg@mysql.com +6 -0
    This dummy file is only needed to satisfy the Makefile hierarchy, 
    at release build time it will be replaced by its counterpart from the "mysqldocs" BK tree.

  Build-tools/Bootstrap
    1.24 04/11/04 11:18:11 joerg@mysql.com +4 -0
    Copy the relevant files with "Docs/Images" from the "mysqldocs" BK tree into the
    build tree, ensuring that the "Makefile*" from the source BK tree are removed before.

  Docs/Images/Makefile.am
    1.1 04/11/03 22:52:05 joerg@mysql.com +29 -0

  Docs/Images/Makefile.am
    1.0 04/11/03 22:52:05 joerg@mysql.com +0 -0
    BitKeeper file /M40/push-4.0/Docs/Images/Makefile.am

ChangeSet
  1.1996.50.1 04/11/03 17:59:03 dlenev@mysql.com +7 -0
  Fix for bug #6387 "Queried timestamp values do not match the inserted
  value if server runs in time zone with leap seconds".
  
  Now in my_gmt_sec() function we take into account difference between
  our target and estimation in seconds part.

  mysql-test/t/timezone3.test
    1.1 04/11/03 17:59:01 dlenev@mysql.com +59 -0

  mysql-test/t/timezone3-master.opt
    1.1 04/11/03 17:59:01 dlenev@mysql.com +1 -0

  mysql-test/r/timezone3.result
    1.1 04/11/03 17:59:01 dlenev@mysql.com +41 -0

  mysql-test/r/have_moscow_leap_timezone.require
    1.1 04/11/03 17:59:01 dlenev@mysql.com +2 -0

  sql/time.cc
    1.29 04/11/03 17:59:01 dlenev@mysql.com +18 -5
    my_gmt_sec():
     When comparing our target broken-down datetime t value and proper 
     representation of our estimation *l_time we should take into account
     that they could differ in second part if we have time zone leap seconds.
     
     Also added comments about some assumptions used in this function.

  mysql-test/t/timezone3.test
    1.0 04/11/03 17:59:01 dlenev@mysql.com +0 -0
    BitKeeper file /home/dlenev/src/mysql-4.0-bg6387/mysql-test/t/timezone3.test

  mysql-test/t/timezone3-master.opt
    1.0 04/11/03 17:59:01 dlenev@mysql.com +0 -0
    BitKeeper file /home/dlenev/src/mysql-4.0-bg6387/mysql-test/t/timezone3-master.opt

  mysql-test/r/timezone3.result
    1.0 04/11/03 17:59:01 dlenev@mysql.com +0 -0
    BitKeeper file /home/dlenev/src/mysql-4.0-bg6387/mysql-test/r/timezone3.result

  mysql-test/r/have_moscow_leap_timezone.require
    1.0 04/11/03 17:59:01 dlenev@mysql.com +0 -0
    BitKeeper file /home/dlenev/src/mysql-4.0-bg6387/mysql-test/r/have_moscow_leap_timezone.require

  mysql-test/Makefile.am
    1.23 04/11/03 17:59:01 dlenev@mysql.com +2 -0
    Added mysql-test/std_data/Moscow_leap reuired by new timezone3.test
    to source distribution.

  mysql-test/std_data/Moscow_leap
    1.1 04/11/03 17:39:23 dlenev@mysql.com +24 -0

  mysql-test/std_data/Moscow_leap
    1.0 04/11/03 17:39:23 dlenev@mysql.com +0 -0
    BitKeeper file /home/dlenev/src/mysql-4.0-bg6387/mysql-test/std_data/Moscow_leap

ChangeSet
  1.1996.1.62 04/11/03 14:56:48 marko@hundin.mysql.fi +1 -0
  InnoDB: fix bugs in the FOREIGN KEY parser (Bug #6340)

  innobase/dict/dict0dict.c
    1.63 04/11/03 14:25:21 marko@hundin.mysql.fi +29 -26
    dict_scan_to(): skip quoted strings while scanning for the keyword
    dict_create_foreign_constraints_low(): allow quote immediately after CONSTRAINT

ChangeSet
  1.1996.49.2 04/11/02 17:53:25 tim@siva.hindu.god +3 -0
  Portability fixes to mysqld_safe for non-Linux systems.  Fix FIND_PROC
  for Solaris test, and fix if @IS_LINUX@ test in mysqld_safe itself.

  BitKeeper/etc/logging_ok
    1.322.1.7 04/11/02 17:53:24 tim@siva.hindu.god +1 -0
    Logging to logging@openlogging.org accepted

  scripts/mysqld_safe.sh
    1.72 04/11/02 17:36:54 tim@siva.hindu.god +1 -1
    Portability fix for mysqld_safe on non-Linux systems.  A bogus use
    of 'if' and 'test' caused non-bash shells to enter a section meant
    to be run only on Linux systems.

  configure.in
    1.318 04/11/02 17:36:54 tim@siva.hindu.god +1 -1
    Portability fix for FIND_PROC setting; on Solaris (and
    probably others), 'ps -p $$' inside a shell script just
    returns 'sh' for command line, even though $0 contains
    the filename.  So, use 'ps -fp $$' in the test (it shows
    the full command line, e.g., 'sh configure').  Leave the
    actual FIND_PROC command as-is, since mysqld itself is
    not a shell script.

ChangeSet
  1.1996.49.1 04/11/02 13:21:11 heikki@hundin.mysql.fi +1 -0
  ha_innodb.cc:
    Backport Jan's fix of the LOAD DATA INFILE REPLACE duplicate key error bug (Bug #5835) to 4.0

  sql/ha_innodb.cc
    1.225 04/11/02 13:20:59 heikki@hundin.mysql.fi +3 -1
    Backport Jan's fix of the LOAD DATA INFILE REPLACE duplicate key error bug (Bug #5835) to 4.0

ChangeSet
  1.1996.48.1 04/11/01 18:15:45 joerg@mysql.com +1 -0
  Ensure that a source distribution contains 'libmysql/libmysql.def'
  which is needed for Netware ports.

  libmysql/Makefile.am
    1.35 04/11/01 18:15:43 joerg@mysql.com +1 -1
    Ensure that a source distribution contains 'libmysql/libmysql.def'
    which is needed for Netware ports.

ChangeSet
  1.1996.1.60 04/11/01 12:08:44 marko@hundin.mysql.fi +1 -0
  mysqld.cc:
    Describe innodb_max_purge_lag
    Improve description of innodb_table_locks

  sql/mysqld.cc
    1.519 04/11/01 12:08:16 marko@hundin.mysql.fi +2 -2
    Describe innodb_max_purge_lag
    Improve description of innodb_table_locks

ChangeSet
  1.1996.1.59 04/10/31 15:43:29 heikki@hundin.mysql.fi +6 -0
  row0mysql.c, pars0pars.c, eval0eval.c, dict0load.c, dict0dict.c, dict0crea.c:
    Fix bug #3478: InnoDB's FOREIGN KEY tables treated table and database names as case-insensitive; RENAME TABLE t to T would hang in an endless loop if t had a foreign key constraint defined on it
  dict0dict.c:
    Fix bug #3478: InnoDB's FOREIGN KEY tables treated table and database names as case-insensitive; RENAME TABLE t to T would hang in an endless loop if t had a foreign key constraint defined on it; fix also a hang that would occur if one tried in ALTER TABLE or RENAME TABLE to create a foreign key constraint name that collided with another existing name

  innobase/row/row0mysql.c
    1.75 04/10/31 15:42:23 heikki@hundin.mysql.fi +11 -4
    Fix bug #3478: InnoDB's FOREIGN KEY tables treated table and database names as case-insensitive; RENAME TABLE t to T would hang in an endless loop if t had a foreign key constraint defined on it

  innobase/pars/pars0pars.c
    1.9 04/10/31 15:42:09 heikki@hundin.mysql.fi +6 -2
    Fix bug #3478: InnoDB's FOREIGN KEY tables treated table and database names as case-insensitive; RENAME TABLE t to T would hang in an endless loop if t had a foreign key constraint defined on it

  innobase/eval/eval0eval.c
    1.7 04/10/31 15:41:38 heikki@hundin.mysql.fi +17 -1
    Fix bug #3478: InnoDB's FOREIGN KEY tables treated table and database names as case-insensitive; RENAME TABLE t to T would hang in an endless loop if t had a foreign key constraint defined on it

  innobase/dict/dict0dict.c
    1.62 04/10/31 15:40:53 heikki@hundin.mysql.fi +1 -1
    Fix bug #3478: InnoDB's FOREIGN KEY tables treated table and database names as case-insensitive; RENAME TABLE t to T would hang in an endless loop if t had a foreign key constraint defined on it; fix also a hang that would occur if one tried in ALTER TABLE or RENAME TABLE to create a foreign key constraint name that collided with another existing name

  innobase/dict/dict0load.c
    1.15 04/10/31 14:08:50 heikki@hundin.mysql.fi +19 -4
    Fix bug #3478: InnoDB's FOREIGN KEY tables treated table and database names as case-insensitive; RENAME TABLE t to T would hang in an endless loop if t had a foreign key constraint defined on it

  innobase/dict/dict0dict.c
    1.61 04/10/31 14:08:50 heikki@hundin.mysql.fi +1 -1
    Fix bug #3478: InnoDB's FOREIGN KEY tables treated table and database names as case-insensitive; RENAME TABLE t to T would hang in an endless loop if t had a foreign key constraint defined on it

  innobase/dict/dict0crea.c
    1.23 04/10/31 14:08:50 heikki@hundin.mysql.fi +15 -1
    Fix bug #3478: InnoDB's FOREIGN KEY tables treated table and database names as case-insensitive; RENAME TABLE t to T would hang in an endless loop if t had a foreign key constraint defined on it

ChangeSet
  1.1996.1.58 04/10/29 09:24:21 lenz@mysql.com +1 -0
   - bumped up version number from 4.0.22 to 4.0.23 in configure.in
   - tagged ChangeSet@1.2048.1.2 as "mysql-4.0.22"

  configure.in
    1.317 04/10/29 09:24:19 lenz@mysql.com +1 -1
     - bumped up version number from 4.0.22 to 4.0.23

ChangeSet
  1.1996.1.57 04/10/28 21:14:00 bell@sanja.is.com.ua +1 -0
  close table before next iteration of table proccesing in mysql_admin_table (to allow open next table)

  sql/sql_table.cc
    1.190 04/10/28 21:13:43 bell@sanja.is.com.ua +7 -3
    close table before next iteration of table proccesing in mysql_admin_table (to allow open next table)

ChangeSet
  1.1996.47.2 04/10/27 21:51:27 lenz@mysql.com +2 -0
   - Applied some Windows portability fixes for myisampack.c and sql_handler.cc
    (backports from fixes made in 4.1)

  sql/sql_handler.cc
    1.45 04/10/27 21:51:24 lenz@mysql.com +1 -7
     - removed some unused variables
     - added a (byte*) cast to fix a compile error on Windows (backport of a
       fix made in 4.1)

  myisam/myisampack.c
    1.34 04/10/27 21:51:24 lenz@mysql.com +1 -1
     - replaced "1ULL" with "((ulonglong)1)" to resolve a compile error on
       Windows

